Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 17-09-2020 17:51:45

Caribou22
CA Debian-Facile
Lieu : 22, Côtes d'Armor, Bretagne
Distrib. : Debian Stable
Noyau : Sans pépins
(G)UI : Xfce, Gnome
Inscription : 10-11-2014
Site Web

[Résolu -> Stretch] Vieille cg nVidia pilotes inexistants sous buster

Bonjour smile

Encore une agréable surprise avec nVidia : J'ai passé un PC portable un peu ancien sous DFiso-Buster. L'affichage est assez saccadé et fait de drôles de scintillements parfois, et voici ce que m'indique nvidia-detect :

Detected NVIDIA GPUs:
00:12.0 VGA compatible controller [0300]: NVIDIA Corporation C67 [GeForce 7000M / nForce 610M] [10de:0533] (rev a2)

Checking card:  NVIDIA Corporation C67 [GeForce 7000M / nForce 610M] (rev a2)
Your card is only supported by the 304 legacy drivers series, which is only available up to stretch.



Ma question : suis-je contraint à retourner sur Stretch ? hmm
Si oui, la triste ironie serait qu'il a été sous Windows 10 et j'avais réussi à lui dénicher des drivers nVidia de Windows Vista, qui fonctionnaient bien --'

Edit : Sinon, ce driver est disponible dans sid : https://packages.debian.org/sid/libgl1- … -304xx-glx
Quid de la solution scabreuse de l'installer en pinning sur une buster ? tongue tongue tongue

Bon, je suppose que la solution la plus simple va être de le repasser sous Stretch...

C'est quand-même un sacré problème... Au point où je me demande s'il ne serait pas nécessaire de déterrer DFiso Stretch... hmm

Dernière modification par Caribou22 (23-09-2020 13:08:38)

Hors ligne

#2 18-09-2020 10:05:10

jarek
Membre
Lieu : Haute Loire
Distrib. : bullseye
Noyau : linux 5.10 amd64
(G)UI : xfce4 - lightdm
Inscription : 24-06-2014

Re : [Résolu -> Stretch] Vieille cg nVidia pilotes inexistants sous buster

Tu n'as pas pensé à buster-backports ?

Définitivement pour ce qui est contre et contre ce qui est pour.
Ryzen3 3200G - Asrock B450

Hors ligne

#3 18-09-2020 13:11:09

naguam
Membre
Lieu : Quelque part
Distrib. : Plusieurs
Noyau : Ça dépend
(G)UI : La CLI il n'y a que ça de vrai!
Inscription : 13-06-2016

Re : [Résolu -> Stretch] Vieille cg nVidia pilotes inexistants sous buster

Buster backports c'est pour avoir des paquets plus récents même si back pourrait faire penser le contraitre, @Caribou22, je crois bien que tu es coincé (peut être cherches les options de nouveau qui permettraient de limiter les problèmes, mais pas évident)

Dernière modification par naguam (18-09-2020 16:41:20)

Hors ligne

#4 18-09-2020 16:07:09

ylag
Membre
Inscription : 16-03-2020

Re : [Résolu -> Stretch] Vieille cg nVidia pilotes inexistants sous buster

Bonjour,

Le problème avec le pilote NVIDIA de série 304 est qu'il n'est plus supporté sur les noyaux supérieurs à 4.13.x.x et pour le serveur X de version supérieure à 1.19.
Voir là: https://nvidia.custhelp.com/app/answers … u-releases

A+

Hors ligne

#5 19-09-2020 11:59:39

jarek
Membre
Lieu : Haute Loire
Distrib. : bullseye
Noyau : linux 5.10 amd64
(G)UI : xfce4 - lightdm
Inscription : 24-06-2014

Re : [Résolu -> Stretch] Vieille cg nVidia pilotes inexistants sous buster

naguam a écrit :

Buster backports c'est pour avoir des paquets plus récents . . .



Oui, mais Caribou22 dit qu'il est disponible dans sid !

Ou alors j'ai rien compris . . .


Définitivement pour ce qui est contre et contre ce qui est pour.
Ryzen3 3200G - Asrock B450

Hors ligne

#6 19-09-2020 12:24:02

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : [Résolu -> Stretch] Vieille cg nVidia pilotes inexistants sous buster

Nah il est pas dispo dans le backports officiel. https://packages.debian.org/search?suit … gacy-304xx

Y a un problème de dépendance quand t'essayes d'installer le .deb de sid/stretch ? yikes (crade mais si ça marche, hein ; la plupart des attaque de logiciel est certainement pas les vieux drivers oubliés de carte graphique... Enfin je pense. En tous cas c'est plus sécurisé que d'installer une version plus supportée de debian qui aura plein de faille au niveau du navigateur web par exemple)

Dernière modification par otyugh (19-09-2020 12:24:51)


datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

En ligne

#7 19-09-2020 13:07:42

Caribou22
CA Debian-Facile
Lieu : 22, Côtes d'Armor, Bretagne
Distrib. : Debian Stable
Noyau : Sans pépins
(G)UI : Xfce, Gnome
Inscription : 10-11-2014
Site Web

Re : [Résolu -> Stretch] Vieille cg nVidia pilotes inexistants sous buster

Dispo dans sid oui... : https://packages.debian.org/sid/nvidia- … 4xx-driver

Mais du coup pour l'instant j'ai installé une Stretch smile
Comme ils parlent d'incompatibilité avec le noyau, j'imagine que ça ne fonctionnerait pas d'installer le paquet nvidia de stretch sur une buster ? (Mais je n'ai pas testé, le passage à Stretch semblant être la meilleure solution.)

Hors ligne

#8 23-09-2020 12:54:46

Caribou22
CA Debian-Facile
Lieu : 22, Côtes d'Armor, Bretagne
Distrib. : Debian Stable
Noyau : Sans pépins
(G)UI : Xfce, Gnome
Inscription : 10-11-2014
Site Web

Re : [Résolu -> Stretch] Vieille cg nVidia pilotes inexistants sous buster

Bon, bizarrement je suis sous Stretch avec le pilote propriétaire 304, et c'est toujours très mauvais --"
J'ai toujours un affichage saccadé qui scintille parfois...

Et malheureusement ce n'est pas une technologie Optimus donc pas moyen de basculer sur la CG Intel hmm

Edit : nouveau ne devait pas être blacklisté. J'ai ajouté modprobe.blacklist=nouveau dans /etc/default/grub dans la ligne qui va bien (la ligne commencant par Linux et terminant par quiet, ou quiet splash)
Et cette fois c'est bon, l'affichage est nickel ! big_smile

Dernière modification par Caribou22 (23-09-2020 13:07:53)

Hors ligne

#9 23-09-2020 14:20:56

phlinux
Membre
Distrib. : Jessie
Noyau : 4.9
(G)UI : Openbox (+Rox+Feh)
Inscription : 10-05-2009

Re : [Résolu -> Stretch] Vieille cg nVidia pilotes inexistants sous buster

Bjr,
Tu peux peut être installer le noyau qui va bien et du coup mettre un "hold" sur le paquet nvidia de stretch et ensuite upgrader sous Buster; reste à voir les dépendances bien sur

Pages perso : feh, omegat, udisks, passerelle, schroot vraiment transparent

Hors ligne

Pied de page des forums